From b382066324d2c42c3d5d04fbb21cf144c79daff0 Mon Sep 17 00:00:00 2001
From: Alexandre Rostovtsev <tetromino@gentoo.org>
Date: Sat, 13 Jun 2015 17:16:34 -0400
Subject: [PATCH] Make logind check non-automagic

---
 configure.ac | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index c6c424c..0eae195 100644
--- a/configure.ac
+++ b/configure.ac
@@ -581,7 +581,15 @@ dnl ---------------------------------------------------------------------------
 dnl logind support
 dnl ---------------------------------------------------------------------------
 
-PKG_CHECK_MODULES(LOGIND, [libsystemd-login], [have_logind=yes], [have_logind=no])
+AC_ARG_ENABLE([logind],
+              AS_HELP_STRING([--disable-logind], [Do not check for logind]),
+              [enable_logind=$enableval],
+              [enable_logind=auto])
+
+have_logind=no
+if test x$enable_logind != xno ; then
+    PKG_CHECK_MODULES(LOGIND, [libsystemd-login], [have_logind=yes], [have_logind=no])
+fi
 
 if test x$have_logind = xyes ; then
         AC_DEFINE(HAVE_LOGIND, 1, [logind support])
-- 
2.4.3

